<div
  class='page-col-sheet offcanvas offcanvas-start'
  {{did-insert this.setup}}
  {{did-update this.updateValue @value}}
  {{did-update this.setStates @show}}
  tabindex='-1'
  id='{{this.elementId}}Scrolling'
  aria-labelledby='{{this.elementId}}ScrollingLabel'
>
  <div class='offcanvas-header'>
    {{#if @title}}
      <h5 class='offcanvas-title' id='{{this.elementId}}ScrollingLabel'>
        {{@title}}
      </h5>
    {{/if}}
    <button
      type='button'
      class='btn-close text-reset'
      data-bs-dismiss={{this.elementId}}
      aria-label='Close'
      {{on 'click' this.close}}
    ></button>
  </div>

  <div class='offcanvas-body'>
    {{yield}}
    <Manage::PageColEditor
      @allowTypeChange={{@allowTypeChange}}
      @value={{this.value}}
      @options={{@options}}
      @deviceSize={{@deviceSize}}
      @onDeviceSizeChange={{@onDeviceSizeChange}}
      @onChange={{this.change}}
      @isSimple={{true}}
    />
  </div>

  <div class='footer d-flex flex-row justify-content-between p-2'>
    <Input::Button
      class='btn btn-primary btn-set'
      @action={{this.save}}
      @disabled={{not this.hasUpdate}}
    >
      {{capitalize (t 'set')}}
    </Input::Button>

    <button
      class='btn btn-secondary btn-cancel'
      type='button'
      {{on 'click' this.close}}
    >
      {{capitalize (t 'cancel')}}
    </button>
  </div>
</div>